Summary:	Serial interface configuration program
Summary(de.UTF-8):	Konfigurationsprogramm für die serielle Schnittstelle
Summary(es.UTF-8):	Programa de configuración de interface serial
Summary(fr.UTF-8):	Programme de configuration de l'interface série
Summary(pl.UTF-8):	Program konfigurujący interfejsy szeregowe
Summary(pt_BR.UTF-8):	Programa de configuração de interface serial
Summary(ru.UTF-8):	Программа для конфигурации последовательных интерфейсов
Summary(tr.UTF-8):	Seri arayüz ayarlama programı
Summary(uk.UTF-8):	Програма для конфігурації послідовних інтерфейсів
Summary(zh_CN.UTF-8):	[系统]配置串口的工具
Summary(zh_TW.UTF-8):	[-A系$)B統]-A配置$)B串-A口$)B的-A工$)B具
Name:		setserial
Version:	2.17
Release:	20
License:	GPL
Group:		Applications/System
Source0:	ftp://tsx-11.mit.edu/pub/linux/sources/sbin/%{name}-%{version}.tar.gz
# Source0-md5:	c4867d72c41564318e0107745eb7a0f2
Source1:	%{name}-rc.serial
Source2:	%{name}.8.pl
Patch1:		hayesesp.patch
Patch2:		exit.patch
BuildRequires:	autoconf
BuildRequires:	groff
Requires:	rc-scripts
ExcludeArch:	s390 s390x
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Setserial is a program which allows you to look at and change various
attributes of a serial device, including its port, its IRQ, and other
serial port options. All parameters for automated setup serial port on
startup You can put in /etc/sysconfig/serial in format:

/dev/<serial_device> <setup parameters>

%description -l de.UTF-8
Setserial ist ein Programm zum Einsehen und Ändern verschiedener
Attribute eines seriellen Geräts, z.B. Port, IRQ und andere Optionen
des seriellen Ports.

%description -l es.UTF-8
setserial es un programa que permite visualizar y alterar varios
atributos de un dispositivo serial, incluyendo puerto, IRQ, y otras
opciones.

%description -l fr.UTF-8
setserial est un programme permettant de consulter et de modifier les
différents attributs d"un périphérique série, dont son port, son IRQ
et autres options du port série.

%description -l pl.UTF-8
Setserial umożliwia odczytanie i zmianę wielu parametrów portu
szeregowego (adres, przerwanie itp.). Wszystkie parametry dotyczące
ustawiania parametrów portów szeregowych w trakcie startu systemu
można wstawiać do pliku /etc/sysconfig/serial w formacie:

/dev/<urządzenie> <parametry>

%description -l pt_BR.UTF-8
O setserial é um programa que permite visualizar e alterar vários
atributos de um dispositivo serial, incluindo porta, IRQ, e outras
opções.

%description -l tr.UTF-8
Setserial, bir seri aygıtın bağlantı noktası, kesme numarası gibi
özelliklerini denetlemenizi ve değiştirmenizi sağlayan bir programdır.


%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{bin,%{_mandir}/{man8,pl/man8},etc/{rc.d/init.d,sysconfig}}

install setserial $RPM_BUILD_ROOT/bin
install setserial.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/pl/man8/setserial.8

install serial.conf $RPM_BUILD_ROOT/etc/sysconfig/serial

cat << EOF > $RPM_BUILD_ROOT/etc/sysconfig/serial
# File format:
# /dev/<serial_device>	<setup parameters>

EOF
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/rc.serial

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) /bin/setserial
%attr(754,root,root) /etc/rc.d/rc.serial
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*

%{_mandir}/man8/*
%lang(pl) %{_mandir}/pl/man8/*
%changelog
* Sat May 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/setserial.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> e865073
- x32 rebuild
- release 20 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 8be9c59
- dropped pre-cvs changelog

* Sun Jun 06 2010 Artur Frysiak <artur@frysiak.net> a372882
- added hayesesp.patch (remove hayes support if linux/hayesesp.h is missing
- added exit.patch (add missing include for exit() function)
- release 19

* Sun Jun 06 2010 Artur Frysiak <artur@frysiak.net> ecace9b
- Add missing include

* Sun Jun 06 2010 Artur Frysiak <artur@frysiak.net> a4bd1c3
- Remove hayes support if linux/hayesesp.h is missing

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c674ef
- release 18

* Wed May 28 2008 Elan Ruusamäe <glen@pld-linux.org> 2ff2a5d
- release 17

* Wed May 28 2008 Elan Ruusamäe <glen@pld-linux.org> 92e3f18
- rel 16 for fc2 upgrade

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6163dde
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cc484b7
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 55c70b1
- adapterized (sorted %verify attrs)

* Sat Sep 25 2004 radek <radek@pld-linux.org> 8671bc9
- cosmetics (spaces -> tabs)

* Mon Sep 20 2004 havner <havner@pld-linux.org> ad44ec2
- [mass commit] rel up for amd64 rebuild

* Mon Nov 24 2003 averne <averne@pld-linux.org> b2aa409
- updated release

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 84c73c6
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 1d613d4
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Jan 15 2003 radek <radek@pld-linux.org> 90069db
- updated Source0 URL

* Fri Dec 20 2002 Jakub Bogusz <qboosh@pld-linux.org> 3806094
- don't try to setserial ttySL* in rc.serial - it won't work
- release 11

* Fri Dec 20 2002 Jakub Bogusz <qboosh@pld-linux.org> c58348f
- don't try to setserial ttySL* - it won't work

* Fri Aug 16 2002 kloczek <kloczek@pld-linux.org> 5dad22d
- release 10.

